summaryrefslogtreecommitdiffstats
path: root/Utilities
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2016-08-03 15:50:27 (GMT)
committerBrad King <brad.king@kitware.com>2016-08-03 15:51:27 (GMT)
commit3e9b03439f6fa16abf555f37016e0f45f2073b78 (patch)
tree1eba0b7e3a0a7b22beb4ff6e14a7152d4d09c860 /Utilities
parentf59513140bf086eda2029c5b4e950fc58216c06e (diff)
downloadCMake-3e9b03439f6fa16abf555f37016e0f45f2073b78.zip
CMake-3e9b03439f6fa16abf555f37016e0f45f2073b78.tar.gz
CMake-3e9b03439f6fa16abf555f37016e0f45f2073b78.tar.bz2
Add script to update curl from upstream
Diffstat (limited to 'Utilities')
-rwxr-xr-xUtilities/Scripts/update-curl.bash36
1 files changed, 36 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-curl.bash b/Utilities/Scripts/update-curl.bash
new file mode 100755
index 0000000..17a4f2c
--- /dev/null
+++ b/Utilities/Scripts/update-curl.bash
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="curl"
+readonly ownership="Curl Upstream <curl-library@cool.haxx.se>"
+readonly subtree="Utilities/cmcurl"
+readonly repo="https://github.com/bagder/curl.git"
+readonly tag="curl-7_44_0"
+readonly shortlog=false
+readonly paths="
+ CMake/*
+ CMakeLists.txt
+ COPYING
+ include/curl/*.h
+ include/curl/curlbuild.h.cmake
+ lib/*.c
+ lib/*.h
+ lib/CMakeLists.txt
+ lib/Makefile.inc
+ lib/curl_config.h.cmake
+ lib/libcurl.rc
+ lib/vtls/*.c
+ lib/vtls/*.h
+"
+
+extract_source () {
+ git_archive
+ pushd "${extractdir}/${name}-reduced"
+ rm lib/config-*.h
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"